Bug 1006154 - [origin_ui_92] Set 25 variables during creating app with -e/--env options display ugly indent and display environment variables as a wrong order
[origin_ui_92] Set 25 variables during creating app with -e/--env options dis...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 02:45 EDT by weiwei jiang
Modified: 2016-10-30 18:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:23:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot with both with and without -e/--env option (116.49 KB, image/png)
2013-09-10 02:45 EDT, weiwei jiang
no flags Details

  None (edit)
Description weiwei jiang 2013-09-10 02:45:26 EDT
Created attachment 795855 [details]
screenshot with both with and without -e/--env option

Description of problem:
When set 25 variables during creating app with -e/--env option, display ugly indent, and environment variables output as a wrong order.


Version-Release number of selected component (if applicable):
devenv_3762
rhc-1.14.4-build_from_3762

How reproducible:
always

Steps to Reproduce:
1.Set 25 variables during creating app without -e/--env option
rhc app create app2 php-5.3 as=1 asdf=2 adfasdf=3 adsfds=4 adsf=5 adf=6 asadf=7 asdfasdf=8 mzmz=9 adsfsad=10 adfsdf=11 asfdasdaf=12 aasdfasdf=13 jkj=14 iei=15 oqo=16 kxl=17 kjakl=18 kjadskllkj=19 askdfjla=20 amkk=21 sdkfasdklf=22 erioweoi=23 dkfjalkjsdf=24 kdlfjalsdjf=25

2.Set 25 variables during creating app with -e/--env option
rhc app create app1 php-5.3 -e as=1 asdf=2 adfasdf=3 adsfds=4 adsf=5 adf=6 asadf=7 asdfasdf=8 mzmz=9 adsfsad=10 adfsdf=11 asfdasdaf=12 aasdfasdf=13 jkj=14 iei=15 oqo=16 kxl=17 kjakl=18 kjadskllkj=19 askdfjla=20 amkk=21 sdkfasdklf=22 erioweoi=23 dkfjalkjsdf=24 kdlfjalsdjf=25

3.Check the output content

Actual results:
As attachment

Expected results:
It should display as same as without -e/--env option

                         
                         
Additional info:
Comment 1 Jordan Liggitt 2013-11-13 09:10:54 EST
There are two issues here:

1) Line wrapping is not working correctly
2) Env vars specified using -e are added to the end of the env var list... should probably sort the env var list to ensure consistent order
Comment 2 Fabiano Franz 2013-11-13 12:50:10 EST
Can you confirm if the line indent issue is specific to Windows? I'm trying in Fedora Terminal with different window sizes and it doesn't happen.
Comment 3 Jordan Liggitt 2013-11-13 13:04:28 EST
Happens for me on Fedora
Comment 4 Jordan Liggitt 2013-11-20 14:03:13 EST
Variable ordering is working as expected.

Indent issue will be fixed in https://github.com/openshift/rhc/pull/514
Comment 5 openshift-github-bot 2013-11-21 14:15:49 EST
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/54f5492494028d58378f4154e48df941cc1f99f0
Fix bug 1006154: app create indent
Comment 6 weiwei jiang 2013-11-22 00:49:03 EST
Tried on devenv_4061 with rhc-1.18.0 build from devenv_4061, and indent issue can not reproduce, so if the wrong order issue will not fixed, I will verified this bug. Thx.
Comment 7 Jordan Liggitt 2013-11-22 17:27:00 EST
We will not change the ordering issue

Note You need to log in before you can comment on or make changes to this bug.